~dev-perl/B-Utils-0.220.0
~dev-perl/Cache-FastMmap-1.400.0
~dev-perl/Capture-Tiny-0.150.0
+~dev-perl/Carp-Always-0.120.0
~dev-perl/Carp-REPL-0.15
~dev-perl/Carp-REPL-0.160.0
~dev-perl/Catalyst-Action-RenderView-0.160.0
~dev-perl/Catalyst-Action-REST-0.930.0
~dev-perl/Catalyst-Action-REST-1.110.0
+~dev-perl/Catalyst-Action-REST-1.190.0
~dev-perl/Catalyst-ActionRole-ACL-0.60.0
~dev-perl/Catalyst-Authentication-Credential-HTTP-1.013
~dev-perl/Catalyst-Authentication-Credential-HTTP-1.15.0
~dev-perl/Catalyst-Plugin-UploadProgress-0.60.0
~dev-perl/Catalyst-Runtime-5.900.70
~dev-perl/Catalyst-Runtime-5.900.420
+~dev-perl/Catalyst-Runtime-5.900.850
~dev-perl/Catalyst-View-Email-0.310
~dev-perl/Catalyst-View-Email-0.310.0
~dev-perl/Catalyst-View-Email-0.330.0
~dev-perl/CatalystX-REPL-0.04
~dev-perl/CatalystX-SimpleLogin-0.150.0
~dev-perl/CGI-FormBuilder-3.80.0
+~dev-perl/CGI-Struct-1.210.0
~dev-perl/Class-Accessor-Grouped-0.100.60
~dev-perl/Class-Accessor-Grouped-0.100.90
~dev-perl/Class-Base-0.30.0
~dev-perl/Config-Any-0.230.0
~dev-perl/Config-Any-0.240.0
~dev-perl/Context-Preserve-0.10.0
+~dev-perl/Cpanel-JSON-XS-3.11.500
~dev-perl/Data-Clone-0.3.0
~dev-perl/Data-Clone-0.4.0
~dev-perl/Data-Dumper-Concise-2.20.0
~dev-perl/HTTP-Body-1.150.0
~dev-perl/HTTP-Body-1.170.0
~dev-perl/HTTP-Body-1.190.0
+~dev-perl/HTTP-Body-1.220.0
~dev-perl/HTTP-Parser-XS-0.140.0
~dev-perl/HTTP-Request-AsCGI-1.200.0
~dev-perl/Import-Into-1.1.0
~dev-perl/IO-TieCombine-1.2.0
~dev-perl/JSON-Any-1.290.0
~dev-perl/JSON-Any-1.300.0
+~dev-perl/JSON-MaybeXS-1.3.5
~dev-perl/JSON-XS-2.320.0
~dev-perl/Lexical-Persistence-1.20.0
~dev-perl/Lingua-EN-FindNumber-1.200.0
~dev-perl/Plack-0.998.200
~dev-perl/Plack-0.998.900
~dev-perl/Plack-1.1.800
+~dev-perl/Plack-Middleware-FixMissingBodyInRedirect-0.100.0
+~dev-perl/Plack-Middleware-MethodOverride-0.140.0
+~dev-perl/Plack-Middleware-RemoveRedundantBody-0.40.0
~dev-perl/Plack-Middleware-ReverseProxy-0.100.0
~dev-perl/Plack-Middleware-ReverseProxy-0.150.0
~dev-perl/Plack-Test-ExternalServer-0.10.0
~dev-perl/Unicode-UTF8-0.590.0
# ~dev-perl/UNIVERSAL-can-1.201.106.170
# ~dev-perl/UNIVERSAL-isa-1.201.106.140
+~dev-perl/URI-1.670.0
~dev-perl/URI-Find-20111103.0.0
+~dev-perl/URI-ws-0.30.0
~dev-perl/WWW-Pastebin-PastebinCom-Create-0.4.0
# ~dev-perl/YAML-LibYAML-0.350.0
# ~dev-perl/YAML-LibYAML-0.380.0
# ~virtual/perl-Params-Check-0.26
# ~virtual/perl-parent-0.225.0
# ~virtual/perl-Parse-CPAN-Meta-1.40
+~virtual/perl-Pod-Usage-1.630.0
# ~virtual/perl-Storable-2.250
~virtual/perl-Tie-RefHash-1.390.0
# ~virtual/perl-XSLoader-0.10
app-antivirus/clamav clamdtop
-app-arch/cabextract extra-tools
+app-arch/cabextract extras extra-tools
app-arch/unzip natspec
app-arch/zip natspec
media-libs/x264 interlaced
# media-video/ffmpeg aac amr dirac frei0r gsm hardcoded-tables -pic schroedinger speex v4l2 vhook
-media-video/ffmpeg aac aacplus amr ass dirac gsm hardcoded-tables openssl -pic schroedinger speex v4l2 vhook
+#media-video/ffmpeg aac aacplus amr ass dirac gsm hardcoded-tables openssl -pic schroedinger speex v4l2 vhook
+media-video/ffmpeg aac aacplus amr amrenc ass dirac gme gsm hardcoded-tables ladspa libsoxr openssl -pic schroedinger speex v4l2 vhook wavpack webp
# move net-analyzer/nagios-nrpe net-analyzer/nrpe
net-analyzer/icinga contrib
net-dns/bind dlz geoip gssapi nslint -odbc -pkcs11 -sdb-ldap -seccomp -threads urandom
net-dns/bind-tools gssapi pkcs11 urandom
net-dns/libidn -java
+net-dns/unbound dnstap
net-firewall/iptables extensions
--- /dev/null
+#!/bin/sh
+# Example /etc/portage/repo.postsync.d script. Make it executable (chmod +x) for
+# Portage to process it.
+#
+# With portage-2.2.16 and newer, all repo.postsync.d hooks will be called multiple
+# times after syncing each repository.
+#
+# Older versions of Portage support syncing only one repository.
+# In those versions, the postsync.d hooks will be called only once,
+# and they will not be passed any parameters.
+
+# On a repo.postsync.d hook call, positional parameters contain
+# information about the just-synced repository.
+
+# Your hook can control it's actions depending on any of the three
+# parameters passed in to it.
+#
+# They are as follows:
+#
+# The repository name.
+repository_name=${1}
+# The URI to which the repository was synced.
+sync_uri=${2}
+# The path to the repository.
+repository_path=${3}
+
+# Portage assumes that a hook succeeded if it exits with 0 code. If no
+# explicit exit is done, the exit code is the exit code of last spawned
+# command. Since our script is a bit more complex, we want to control
+# the exit code explicitly.
+ret=0
+
+if [ -n "${repository_name}" ]; then
+ # Repository name was provided, so we're in a post-repository hook.
+ echo "* In post-repository hook for ${repository_name}"
+ echo "** synced from remote repository ${sync_uri}"
+ echo "** synced into ${repository_path}"
+
+ # Gentoo comes with pregenerated cache but the other repositories
+ # usually don't. Generate them to improve performance.
+ if [ "${repository_name}" != "gentoo" ]; then
+ if ! egencache --update --repo="${repository_name}" --jobs=4
+ then
+ echo "!!! egencache failed!"
+ ret=1
+ fi
+ fi
+fi
+
+# Return explicit status.
+exit "${ret}"